! Phase Shift Migration and Diffraction
program Phase

  use sep
  use phaseshift_mod
  !use dot_mod

  implicit none

  real, allocatable, dimension(:,:) :: modl, data, tmp
  integer                           :: nz, nt, nx, ix, it
  real                              :: o1, dz, dt, ox, dx, v, soudepth
  logical                           :: adj
  real, allocatable, dimension(:)	:: depth

  call sep_init()

  call from_history("o1", o1)
  call from_history("n2", nx)
  call from_history("o2", ox)
  call from_history("d2", dx)

  !if(o1 .ne. 0.) call erexit("o1 is assumed to be 0")

  call from_param("adj", adj)
  call from_param("soudepth", soudepth, 0.)
  call from_param("v", v, 1.5)
  call from_param("dz", dz)

  call from_history("n1", nt)
  call from_history("d1", dt)
  call to_history("n1", nt)
  call to_history("d1", dt)
  call to_history("o1", o1)
  call to_history("n2", nx)
  call to_history("o2", ox)
  call to_history("d2", dx)


  allocate(modl(nt,nx), data(nt,nx), tmp(nt,nx))
  modl = 0.
  data = 0.
  tmp = 0.
  allocate(depth(nx))
  depth = 0.
  call sep_read(depth,"depth")
  depth = depth - soudepth
  nz = maxval(depth)/dz + 1
  
  call phase1_init(nz, nt, nx, dz, dt, dx, v, depth)
  
  !call dotp(phase1_call, nt*nx, nt*nx)
  

  if(adj) then
    call sep_read(data)
    call phase1(adj, .false., modl, data)
    tmp = modl
!    do ix=2,nx
!    	do it=1,nt
!    		modl(it,ix) = tmp(it,ix) - tmp(it,ix-1)
!    	enddo
!    enddo
    call sep_write(modl)
  else
    call sep_read(modl)
    call phase1(adj, .false., modl, data)
    call sep_write(data)
  endif

end program 
